/{chain}/supply/series

Returns the Canton Coin supply, price, and market capitalization at the start of each bucket in the requested time window.

Each value is a snapshot at the start of its bucket, not a total for the bucket. Buckets without a new data point repeat the nearest known value.

The window can be at most one day and contain at most 100 buckets, so 10m buckets are limited to windows of up to 16 hours and 40 minutes.

Path Params
string
required
Defaults to canton

Canton chain name. Use a name returned by GET /chains.

Query Params
int64
required
-62135596800 to 253402300799
Defaults to 1792961582

Start of the requested time window (inclusive), as Unix seconds. Required.

int64
required
-62135596800 to 253402300799
Defaults to 1793047982

End of the requested time window (exclusive), as Unix seconds. Required.

string
enum
required
Defaults to 1h

Bucket size: 10m, 1h, 4h, or 1d. Required.

Allowed:
Headers
string
required
Defaults to demokey

API Key for Canton API. To generate an API Key, visit https://app.noves.fi

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json